clang 8.0.0

Public Member Functions | List of all members
clang::BeforeThanCompare< SourceLocation > Class Template Reference

Compare two source locations. More...

`#include "clang/Basic/SourceManager.h"`

## Public Member Functions
| BeforeThanCompare (SourceManager &SM)
bool | operator() (SourceLocation LHS, SourceLocation RHS) const

## Detailed Description

### template<>
class clang::BeforeThanCompare< SourceLocation >

Compare two source locations.

Definition at line 1807 of file SourceManager.h.

## Constructor & Destructor Documentation

## ◆ BeforeThanCompare()

clang::BeforeThanCompare< SourceLocation >::BeforeThanCompare | ( | SourceManager & | SM | ) |
| inline explicit

Definition at line 1811 of file SourceManager.h.

## Member Function Documentation

## ◆ operator()()

bool clang::BeforeThanCompare< SourceLocation >::operator() | ( | SourceLocation | LHS,
|  | SourceLocation | RHS
| ) |  | const
| inline

Definition at line 1813 of file SourceManager.h.

The documentation for this class was generated from the following file:

- include/clang/Basic/SourceManager.h